io.vertx.rxjava.ext.shell.command

## Class CommandResolver

- java.lang.Object
- - io.vertx.rxjava.ext.shell.command.CommandResolver

- Direct Known Subclasses:
    CommandRegistry

      public class CommandResolver
      extends Object

  A resolver for commands, so the shell can discover commands.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<CommandResolver>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandResolver(CommandResolver delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CommandResolver` | `baseCommands(Vertx vertx)`
    `List<Command>` | `commands()`
    `Command` | `getCommand(String name)` Returns a single command by its name.
    `CommandResolver` | `getDelegate()`
    `static CommandResolver` | `newInstance(CommandResolver arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<CommandResolver> __TYPE_ARG

  - ### Constructor Detail

    - #### CommandResolver

          public CommandResolver(CommandResolver delegate)

  - ### Method Detail

    - #### getDelegate

          public CommandResolver getDelegate()

    - #### baseCommands

          public static CommandResolver baseCommands(Vertx vertx)

      Parameters:
        `vertx` -
      Returns:
        the base commands of Vert.x Shell.

    - #### commands

          public List<Command> commands()

      Returns:
        the current commands

    - #### getCommand

          public Command getCommand(String name)

      Returns a single command by its name.
      Parameters:
        `name` - the command name
      Returns:
        the commad or null

    - #### newInstance

          public static CommandResolver newInstance(CommandResolver arg)

Copyright © 2017. All rights reserved.